Autor Tópico: Problemas com Flash Ubuntu 17.04  (Lida 653 vezes)

Offline ruysabino

  • Usuário Ubuntu
  • *
  • Mensagens: 25
  • Quer ser livre, use Linux!
    • Ver perfil
    • Blog do Sabino
Problemas com Flash Ubuntu 17.04
« Online: 04 de Outubro de 2017, 11:30 »
Olá a todos!
  Estou com dois problemas me tirando o sono, e gerando um certo transtorno na empresa onde trabalho, onde migrei mais de 20 máquinas para Linux, todas máquinas novas com i3, Lenovo..rodando uma mescla de Linux Mint 18.2, Ubuntu 17.04..e a minha com Ubuntu 17.10 beta2..
  Estou com problemas no funcionamento de teclas de atalho que nosso ERP fornece, como Salvar, Excluir dentre outros, todas estes funcionam normalmente no Windows, mais no Linux os mesmos não dão sinal de vida no Firefox!
  E o outro problema que tem afetado é a digitação de valores com virgula tipo 1,99..no chrome e seus derivados, ao digitar algum valor com virgula ele esconde o valor decimal..gerando muita confusão na hora de digitar pedidos, já no firefox este erro não acontece..!
  Fiz o teste com a maioria dos navegadores, Chrome / Chromium, Opera. Vilvaldi..em todos acontece a mesma coisa.
  Já os atalhos de teclado nos derivados do chrome funcionam normalmente..vai entender!!
 O pessoal já tá fazendo motim por conta disto, querendo que eu migre as máquinas de volta ao Windows...mais senão achar a solução, vou ter que acabar cedendo pra não perder mais produtividade e ouvir reclamações :(
Toda ajuda será bem vinda! Grato.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.526
    • Ver perfil
Re:Problemas com Flash Ubuntu 17.04
« Resposta #1 Online: 04 de Outubro de 2017, 14:50 »
Essa é uma situação séria de uma instalação empresarial real envolvendo 20 máquinas Linux.

Conclamo os participantes do Fórum a realmente ajudar neste tópico nas dificuldades apresentadas pelo colega @ruysabino.

Pois então, @ruysabino, infelizmente de forma imediata não sei dizer uma possível solução para o caso em questão, vamos pesquisar sobre isso, mas também e principalmente ver se obtém ajuda mais qualificada aqui do Fórum.

« Última modificação: 04 de Outubro de 2017, 14:53 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.526
    • Ver perfil
Re:Problemas com Flash Ubuntu 17.04
« Resposta #2 Online: 04 de Outubro de 2017, 14:50 »
Como primeira observação anoto que essa instalação não deveria de forma alguma estar usando o Ubuntu 17.04, codename Zesty, que é uma versão transitória, experimental, exatamente por isso sujeita a um maior número de problemas, jamais deverá ser usada em ambiente de produção real.

Num ambiente de produção se usa uma versão LTS (Long Term Support; suporte de longo prazo) e não uma versão transitória que muda a cada 9 meses.

As LTS atuais são as versões 14.04 e 16.04.

Versões transitórias extinguem-se em apenas 9 meses, é só confusão, é apenas experimento.
O que funciona bem é aproveitado numa próxima versão LTS, o que não funciona é descartado, é assim que funciona.

Isso na essência significa que **não** se deve usar uma versão transitória para assuntos sérios e instalações de produção no dia a dia de trabalho, sendo mais adequado optar sempre por versões LTS.

Na identificação numérica das versões os dois primeiros números referem-se ao ano, os dois últimos ao mês, assim, 14.04 é lançamento de abril de 2014, e então 16.04 é lançamento em abril de 2016 e assim por diante. O terceiro e último número, quando existe, refere-se ao release (14.04.5 ou 16.04.3).

Versões LTS são suportadas por 5 anos, versões  chamadas Regular (=Provisória) são suportadas por 9 meses.

Para entender melhor o calendário geral de validade e suporte de todas as versões

Ubuntu releases calendar

https://wiki.ubuntu.com/Releases

Complementarmente também esse:

https://wiki.ubuntu.com/LTS

Mais especificamente aqui:

https://www.ubuntu.com/info/release-end-of-life

Por depois, é temerário numa instalação profissional que antes havia o ambiente Windows ir assim à seco para uma interface gráfica como o Unity, que aliás daqui a pouco vai sair de cena, substituído pelo Gnome a partir da próxima LTS 18.04.

Essa transição funciona melhor quando feita de forma mais suave, colocando aos usuários "comuns" uma interface semelhante a que eles tinham antes.

O Linux Mint 18.2 é uma boa opção, mas como ele não está (ainda) como um "sabor" oficial do Ubuntu, talvez mais adequado mesmo fosse usar o Ubuntu Mate, no caso a partir do release 16.04.3, o que traria o elemento de 'suavidade' na transição, porém mantendo rigorosamente o poderoso mecanismo de atualização da Canonical no Ubuntu.


« Última modificação: 04 de Outubro de 2017, 14:55 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.526
    • Ver perfil
Re:Problemas com Flash Ubuntu 17.04
« Resposta #3 Online: 04 de Outubro de 2017, 15:04 »
Isso posto, vamos aproveitar que possui Mint, Ubuntu padrão (=Unity) e Gnome (17.10 beta) instalado para analisar a situação e tentar segmentar o problema.

Pelo que entendi esse ERP funciona mediante acesso através de um navegador Web, como o Firefox ou Chrome.

Pois bem, supondo que a opção de uso seja o Firefox, então como primeira questão:

1) O problema das teclas de atalho no Firefox é igual qualquer que seja a distribuição utilizada, isto é, ocorre igualmente no Firefox instalado no Mint, no Unity e no Gnome?

Saber isso com certeza permite avaliar se a questão dos atalhos é algo vinculado exclusivamente ao navegador Firefox ou se há alguma interferência da interface gráfica propiciada pela específica distribuição.

2) O mesmo raciocínio e pelas mesmas razões em relação ao uso da vírgula no navegador Chrome, isto é, o problema ocorre qualquer que seja a interface gráfica? (Mint, Unity, Gnome)

3) Qual é o software ERP utilizado?
Forneça um link do desenvolvedor se estiver disponível.

4) Como se trata de uma instalação profissional de uso de ERP, qual é a objetiva indicação de navegador aconselhada pelo fabricante (=desenvolvedor) do ERP?

5) É possível na empresa determinar o uso de um específico navegador para trabalhar no ERP?

« Última modificação: 04 de Outubro de 2017, 15:18 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline ruysabino

  • Usuário Ubuntu
  • *
  • Mensagens: 25
  • Quer ser livre, use Linux!
    • Ver perfil
    • Blog do Sabino
Re:Problemas com Flash Ubuntu 17.04
« Resposta #4 Online: 04 de Outubro de 2017, 16:38 »
Muito grato pelo retorno meu amigo @druidaobelix !

 Quanto ao cenário do meu parque, como não tinha mencionado detalhadamente, se consiste numa grande miscigenação, tenho máquinas com Mint (Cinnamon e XFCE),  Xubuntu e até Deepin,  e estou testando neste momento a nova versão do Ubuntu em praticamente todas as suas variações, visando uniformizar todo este parque, o que quero fazer ainda este ano \0/. Já testei vários distros, várias mesmo!!, até o Q4OS :D, tentando chegar num meio termo, tanto em consumo de recursos quanto na adaptação do novos usuários, o que é muito traumático nestas migrações, além de validar que toda máquina tenha acesso a todos os recursos necessários para o desempenho do trabalho, e integração com a rede (impressoras e scanners).
 Como bem mencionado por você, e aqui fica a dica pra quem nos lê e tem a intenção de fazer algo neste cenário, o mais correto e menos traumático é mesmo focar nas versões LTS, tenho máquinas com Xubuntu 14.04 funcionando redondinhas até hoje.

Segue as respostas aos questionamentos:

Pelo que entendi esse ERP funciona mediante acesso através de um navegador Web, como o Firefox ou Chrome.
"SIM, nosso sistema é quase 100% WEB, só tenho um pequeno client local que desenvolveram para suprir a falta do plugin NPAPI do Java"

Pois bem, supondo que a opção de uso seja o Firefox, então como primeira questão:
"Até a versão que aceitava o Java, era o nosso padrão, porém após a remoção do suporte, e com o desenvolvimento deste plugin o Chrome passou a ser uma melhor alternativa em termos de consumo, tentei usar a versão ESR mais devido a parâmetros do sistema, onde não permitiu separar por empresa, tive que abortar."

1) O problema das teclas de atalho no Firefox é igual qualquer que seja a distribuição utilizada, isto é, ocorre igualmente no Firefox instalado no Mint, no Unity e no Gnome?
"Sim, ocorre em todas as versões instaladas, independente do ambiente gráfico!"

Saber isso com certeza permite avaliar se a questão dos atalhos é algo vinculado exclusivamente ao navegador Firefox ou se há alguma interferência da interface gráfica propiciada pela específica distribuição.

2) O mesmo raciocínio e pelas mesmas razões em relação ao uso da vírgula no navegador Chrome, isto é, o problema ocorre qualquer que seja a interface gráfica? (Mint, Unity, Gnome)
"Sim, e também em todos os navegadores em que se baseiam no mesmo motor do Chrome ..Opera / Vivaldi  e Chromium"

3) Qual é o software ERP utilizado?
Forneça um link do desenvolvedor se estiver disponível.
Utilizo a ferramenta JivaW (www.jiva.com.br) da Sankhya, já acionei o suporte do mesmo, e após analises informaram que o problema não está na aplicação deles e sim em algum conflito entre o navegador e o ambiente gráfico, ou a versão do sistema que estou usando, resumindo tenho que provar que o problema não é no Linux para prosseguir com a reclamação! Apesar de serem meio fechados na questão do desenvolvimento, posso ficar satisfeito com o feedback, pois o client que desenvolveram para suprir o Java, foi portado para o Linux após minha solicitação e muitas brigas!! rsrs, mais está bem estável e funcional, tanto quanto roda no Windows!"

4) Como se trata de uma instalação profissional de uso de ERP, qual é a objetiva indicação de navegador aconselhada pelo fabricante (=desenvolvedor) do ERP?
"Basicamente um navegador de internet com suporte a Flash!"

5) É possível na empresa determinar o uso de um específico navegador para trabalhar no ERP?
"As indicações são as padrões, Firefox, Chrome ou Internet Explorer com suporte a Flash Player! Eles até modificaram o código, não sei se do Chrome ou do Firefox e criaram um "Navegador Jiva" http://downloads.jiva.com.br/, porém apesar de ter a versão para Linux ele não consegue detectar o Flash Player instalado (tenho tanto a NPAPI quanto a PPAPI instalados) porém as telas do JivaW não funcionam, já abri um chamado de correção mais sem prazo de resposta.. :( , mais como já testei a ferramenta no Windows acho ela mais como um remendo do que uma solução!"

Mais vou reforçar os testes aqui e ver se em algum cenário a coisa funciona, porém não queria sair dos Ubuntu like, já testei Fedora e OpenSuse mais não me adaptei muito ao ecossistema, sigo o ambiente Debian like desde o Kurumim e me adaptei demais a ele para tentar fazer uma mudança drástica nesta altura do campeonato é meio complicado.!

Grande abraço!
« Última modificação: 04 de Outubro de 2017, 16:42 por ruysabino »

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.526
    • Ver perfil
Re:Problemas com Flash Ubuntu 17.04
« Resposta #5 Online: 04 de Outubro de 2017, 18:45 »
Parece que seja o caso de segmentar o problema para que se possa melhor entendê-lo.

Funciona com uma versão anterior do Firefox, antes da supressão do plugin NPAPI do Sun/Oracle JRE?

Selecione uma das máquinas (ou uma de teste, melhor ainda) com o Ubuntu 16.04.3, ou seja, LTS atual, e instale nela o Firefox versão 51 seguindo exatamente esse tópico:

Como instalar o Firefox 51 junto com o Firefox mais novo

https://ubuntuforum-br.org/index.php/topic,121652.msg668462.html#msg668462

Qual o resultado? O ERP funciona de forma completa nessa versão anterior do Firefox?

« Última modificação: 04 de Outubro de 2017, 18:51 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.526
    • Ver perfil
Re:Problemas com Flash Ubuntu 17.04
« Resposta #6 Online: 04 de Outubro de 2017, 18:50 »
E também, se o desenvolvedor da solução ERP, a JIVA, desenvolveu um navegador próprio, disponível especificamente para Linux, que se supõe adequado à solução que eles oferecem, não está muito clara a razão pela qual esse navegador não estaria funcionando.

Num primeiro momento, salvo engano, salvo se estou entendendo de forma incorreta a questão, me parece que o mais adequado seriam as máquinas, todas elas, usarem o navegador fornecido pelo fornecedor da solução ERP, ou não é isso?
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.526
    • Ver perfil
Re:Problemas com Flash Ubuntu 17.04
« Resposta #7 Online: 04 de Outubro de 2017, 19:03 »
Esclarece um aspecto aqui que eventualmente pode ser importante, sem que eu tenha que ler um quilo e meio de documentação.

O que é o software "Web Connection 2.0b66" que o desenvolvedor JIVA disponibiliza lá na página de downloads deles?

Isso aí serve mais exatamente para quê?
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline ruysabino

  • Usuário Ubuntu
  • *
  • Mensagens: 25
  • Quer ser livre, use Linux!
    • Ver perfil
    • Blog do Sabino
Re:Problemas com Flash Ubuntu 17.04
« Resposta #8 Online: 04 de Outubro de 2017, 19:42 »
Esclarece um aspecto aqui que eventualmente pode ser importante, sem que eu tenha que ler um quilo e meio de documentação.

O que é o software "Web Connection 2.0b66" que o desenvolvedor JIVA disponibiliza lá na página de downloads deles?

Isso aí serve mais exatamente para quê?
Este é um plugin desenvolvido para suprir a falta do Java nas novas versões dos navegadores, basicamente utilizado apenas em algumas rotinas de impressão, nada de mais para o restante do sistema.

Enviado de meu SM-A720F usando Tapatalk


Offline ruysabino

  • Usuário Ubuntu
  • *
  • Mensagens: 25
  • Quer ser livre, use Linux!
    • Ver perfil
    • Blog do Sabino
Re:Problemas com Flash Ubuntu 17.04
« Resposta #9 Online: 04 de Outubro de 2017, 19:46 »
E também, se o desenvolvedor da solução ERP, a JIVA, desenvolveu um navegador próprio, disponível especificamente para Linux, que se supõe adequado à solução que eles oferecem, não está muito clara a razão pela qual esse navegador não estaria funcionando.

Num primeiro momento, salvo engano, salvo se estou entendendo de forma incorreta a questão, me parece que o mais adequado seriam as máquinas, todas elas, usarem o navegador fornecido pelo fornecedor da solução ERP, ou não é isso?
Também acho, mais o navegador deles é uma ferramenta opcional, não tem obrigatoriedade de uso, a intenção deles é remover dor de cabeça com suporte nos cenários mais heterogêneos que existem por conta dos navegadores x sistemas operacionais x plugins.. etc.. Porém ainda está meio "Beta" tomara que fique mais estável rapidamente, pois assim vai me tirar muita dor de cabeça também!

Enviado de meu SM-A720F usando Tapatalk


Offline ruysabino

  • Usuário Ubuntu
  • *
  • Mensagens: 25
  • Quer ser livre, use Linux!
    • Ver perfil
    • Blog do Sabino
Re:Problemas com Flash Ubuntu 17.04
« Resposta #10 Online: 04 de Outubro de 2017, 19:48 »
Parece que seja o caso de segmentar o problema para que se possa melhor entendê-lo.

Funciona com uma versão anterior do Firefox, antes da supressão do plugin NPAPI do Sun/Oracle JRE?

Selecione uma das máquinas (ou uma de teste, melhor ainda) com o Ubuntu 16.04.3, ou seja, LTS atual, e instale nela o Firefox versão 51 seguindo exatamente esse tópico:

Como instalar o Firefox 51 junto com o Firefox mais novo

https://ubuntuforum-br.org/index.php/topic,121652.msg668462.html#msg668462

Qual o resultado? O ERP funciona de forma completa nessa versão anterior do Firefox?
Vou simular este cenário amanhã cedo pra ver o resultado e posto aqui!


Enviado de meu SM-A720F usando Tapatalk